# Types of transactions

<table data-full-width="true"><thead><tr><th width="205" align="center">Code</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center">in</td><td align="center">Writing off amounts from the user’s card</td></tr><tr><td align="center">out</td><td align="center">Withdrawal of funds from the project's account to the user's card</td></tr><tr><td align="center">one_click_pay_in</td><td align="center">Writing off amounts from the saved user’s card</td></tr><tr><td align="center">one_click_pay_out</td><td align="center">Withdrawal of funds from the project's account to the saved user's card</td></tr><tr><td align="center">refund</td><td align="center">Refund</td></tr><tr><td align="center">google_pay</td><td align="center">Payment using Google Pay technology</td></tr><tr><td align="center">apple_pay</td><td align="center">Payment using Apple Pay technology</td></tr><tr><td align="center">card_link</td><td align="center">Linking of the user's card in the payment system (used for payments without notice)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/eng/acquiring/types-of-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
